Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLObjectElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLObjectElementImpl

public class HTMLObjectElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLObjectElement, HTMLFormControl

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:58:01 $
Author:
  Assaf Arkin
See Also:
  `HTMLObjectElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`HTMLObjectElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getArchive()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getCode()`
`java.lang.String` | `getCodeBase()`
`java.lang.String` | `getCodeType()`
`org.w3c.dom.Document` | `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`java.lang.String` | `getData()`
`boolean` | `getDeclare()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStandby()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUseMap()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setCodeType(java.lang.String codeType)`
`void` | `setData(java.lang.String data)`
`void` | `setDeclare(boolean declare)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setName(java.lang.String name)`
`void` | `setStandby(java.lang.String standby)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setType(java.lang.String type)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLObjectElementImpl

    public HTMLObjectElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCode

    public java.lang.String getCode()

  Specified by:
    getCode in interface org.w3c.dom.html.HTMLObjectElement

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    setCode in interface org.w3c.dom.html.HTMLObjectElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLObjectElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLObjectElement

### getArchive

    public java.lang.String getArchive()

  Specified by:
    getArchive in interface org.w3c.dom.html.HTMLObjectElement

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    setArchive in interface org.w3c.dom.html.HTMLObjectElement

### getBorder

    public java.lang.String getBorder()

  Specified by:
    getBorder in interface org.w3c.dom.html.HTMLObjectElement

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    setBorder in interface org.w3c.dom.html.HTMLObjectElement

### getCodeBase

    public java.lang.String getCodeBase()

  Specified by:
    getCodeBase in interface org.w3c.dom.html.HTMLObjectElement

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    setCodeBase in interface org.w3c.dom.html.HTMLObjectElement

### getCodeType

    public java.lang.String getCodeType()

  Specified by:
    getCodeType in interface org.w3c.dom.html.HTMLObjectElement

### setCodeType

    public void setCodeType(java.lang.String codeType)

  Specified by:
    setCodeType in interface org.w3c.dom.html.HTMLObjectElement

### getData

    public java.lang.String getData()

  Specified by:
    getData in interface org.w3c.dom.html.HTMLObjectElement

### setData

    public void setData(java.lang.String data)

  Specified by:
    setData in interface org.w3c.dom.html.HTMLObjectElement

### getDeclare

    public boolean getDeclare()

  Specified by:
    getDeclare in interface org.w3c.dom.html.HTMLObjectElement

### setDeclare

    public void setDeclare(boolean declare)

  Specified by:
    setDeclare in interface org.w3c.dom.html.HTMLObjectElement

### getHeight

    public java.lang.String getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.html.HTMLObjectElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface org.w3c.dom.html.HTMLObjectElement

### getHspace

    public java.lang.String getHspace()

  Specified by:
    getHspace in interface org.w3c.dom.html.HTMLObjectElement

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    setHspace in interface org.w3c.dom.html.HTMLObjectElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLObjectElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLObjectElement

### getStandby

    public java.lang.String getStandby()

  Specified by:
    getStandby in interface org.w3c.dom.html.HTMLObjectElement

### setStandby

    public void setStandby(java.lang.String standby)

  Specified by:
    setStandby in interface org.w3c.dom.html.HTMLObjectElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface org.w3c.dom.html.HTMLObjectElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface org.w3c.dom.html.HTMLObjectElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLObjectElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLObjectElement

### getUseMap

    public java.lang.String getUseMap()

  Specified by:
    getUseMap in interface org.w3c.dom.html.HTMLObjectElement

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    setUseMap in interface org.w3c.dom.html.HTMLObjectElement

### getVspace

    public java.lang.String getVspace()

  Specified by:
    getVspace in interface org.w3c.dom.html.HTMLObjectElement

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    setVspace in interface org.w3c.dom.html.HTMLObjectElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLObjectElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLObjectElement

### getContentDocument

    public org.w3c.dom.Document getContentDocument()

  The document this frame contains, if there is any and it is available, or `null` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference